org.gcube.dataanalysis.dataminer.poolmanager.datamodel

## Class Host

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.datamodel.Host

    public class Host
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Host()`
`Host(String hostname)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Domain` `getDomain()`
`String` `getFullyQualifiedName()`
`String` `getName()`
`void` `setDomain(Domain domain)`
`void` `setName(String name)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Host

    public Host(String hostname)

#### Host

    public Host()

### Method Detail

#### getFullyQualifiedName

    public String getFullyQualifiedName()

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getDomain

    public Domain getDomain()

#### setDomain

    public void setDomain(Domain domain)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`